###############################################################################
#
#    Copyright (c) 2024 Eynes/E-MIPS (www.eynes.com.ar)
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program. If not, see <http://www.gnu.org/licenses/>.
#
###############################################################################


{
    'name': 'Custom repair',
    'version': '15.0.0.1.0',
    'author': 'Eynes',
    #'website': 'https://gitlab.eynes.com.ar/imoberdorf/custom_repair',
    'license': 'AGPL-3',
    'category': 'Technical',
    'depends': [
        'base',
        'web',
        'account',
        'repair',
        'purchase',
        'hr_timesheet',
        'stock_barcodes',
        'l10n_ar_eynes',
        'base_menu_visibility_restriction',
    ],
    'data': [
        'security/res_groups.xml',
        'security/ir_model_access.xml',
        'security/ir_rule.xml',
        'views/delivery_views.xml',
        'views/hr_employee_views.xml',
        'views/hr_timesheet_views.xml',
        'views/partner_views.xml',
        'views/product_views.xml',
        'views/purchase_views.xml',
        'views/repair_views.xml',
        'views/res_config_settigs_views.xml',
        'views/sale_order_views.xml',
        'views/stock_barcodes_read_inventory_views.xml',
        'views/stock_menu_views.xml',
        'views/stock_picking_type_view.xml',
        'wizard/repair_wizard_views.xml',
        'wizard/product_label_layout_views.xml',
        'report/custom_reports.xml',
        'report/repair_reports.xml',
        'report/repair_templates_repair_order.xml',
        'report/mail_template_data.xml',
        'report/payment_order.xml',
        'report/purchase_quotation_templates.xml',
        'report/purchase_order_templates.xml',
        'report/report_invoice.xml',
        'report/stock_picking_report_qweb.xml',
    ],
    'assets': {
        'web.assets_backend': [
            'custom_repair/static/src/js/many2one_barcode.js',
            'custom_repair/static/src/js/repair_order_kanban.js',
            'custom_repair/static/src/js/m2x_avatar_user.js',
            'custom_repair/static/src/js/barcode_refresh_page.js',
            'custom_repair/static/src/scss/m2x_avatar_user.scss',
        ],
    },
    "external_dependencies": {},
    'installable': True,
    'application': True,
}
