from odoo import models, fields, api


class customRepairHREmployeeBaseInherit(models.AbstractModel):
    _inherit = 'hr.employee.base'

    repair_employee_type = fields.Selection([
        ('administrador', 'Administrador'),
        ('operario', 'Operario'),
        ('administracion', 'Administracion')
    ], string='Tipo de Empleado', store=True, readonly=False, compute='_compute_repair_employee_type')


    @api.depends('user_id')
    def _compute_repair_employee_type(self):
        for employee in self:
            if employee.user_id.has_group('base.group_system'):
                employee.repair_employee_type = 'administrador'
            elif employee.user_id.has_group('custom_repair.group_operario_reparacion'):
                employee.repair_employee_type = 'operario'
            else:
                employee.repair_employee_type = 'administracion'


class customRepairHREmployeeInherit(models.Model):
    _inherit = 'hr.employee'

    # Fields coming from hr.employee.base
    repair_employee_type = fields.Selection(readonly=False)

class customRepairHREmployeePublicInherit(models.Model):
    _inherit = 'hr.employee.public'

    # Fields coming from hr.employee.base
    repair_employee_type = fields.Selection(readonly=True)
