##############################################################################
#
#   Copyright (c) 2023-2024 Eynes SRL  (Eynes - Ingenieria del software)
#   License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).
#
##############################################################################


from odoo import fields, models, api


class PurchaseOrder(models.Model):
    _inherit = 'purchase.order'

    def get_partner_product_code(self,line):
        product = line.product_id
        product_name = False
        for i in product.seller_ids:
            if i.name.name == self.partner_id.name:
                if i.product_code:
                    product_name = f"[{i.product_code}] {product.name}"
                else:
                    product_name = f"{product.name}"
        if not product_name:
            product_name = line.name
        return product_name
    
    '''
    @api.onchange('order_line')
    def _onchange_order_line(self):
        import wdb; wdb.set_trace()
        self.field = self.field
    
    @api.depends('company_id')
    def _compute_id(self):
        import wdb; wdb.set_trace()
        self.field = self.field
    '''
    
    
class CustomRepairPurchaseOrderLineInherit(models.Model):
    _inherit = 'purchase.order.line'

    def _domain_product_id(self):
        domain = [
            ('purchase_ok', '=', True), 
            ('seller_ids.name', '=', self.partner_id.id),
            '|', 
            ('company_id', '=', False), 
            ('company_id', '=', self.env.company.id)
        ]

        return domain

    product_id = fields.Many2one(
        'product.product', 
        string='Product', 
        domain=_domain_product_id
    )

    '''
    @api.model
    def create(self, vals):
        context = dict(self.env.context)
        context['is_purchase_order'] = True
        return super(CustomRepairPurchaseOrderLineInherit, self.with_context(context)).create(vals)
    '''
    def write(self, vals):
        context = dict(self.env.context)
        context['is_purchase_order'] = True
        return super(CustomRepairPurchaseOrderLineInherit, self.with_context(context)).write(vals)
