from odoo import models, api, exceptions

class ResPartner(models.Model):
    _inherit = 'res.partner'

    @api.model
    def check_access_rights(self, operation, raise_exception=True):
        if operation in ['write', 'create', 'unlink'] and (self.env.user.has_group('custom_repair.group_user_contador') or self.env.user.has_group('custom_repair.group_user_logistica')):
            if raise_exception:
                raise exceptions.AccessError("No tienes permisos para realizar esta acción.")
            return False
        return super().check_access_rights(operation, raise_exception)
    
class SaleOrder(models.Model):
    _inherit = 'sale.order'

    @api.model
    def check_access_rights(self, operation, raise_exception=True):
        if operation in ['write', 'create', 'unlink'] and (self.env.user.has_group('custom_repair.group_user_contador') or self.env.user.has_group('custom_repair.group_user_logistica')):
            if raise_exception:
                raise exceptions.AccessError("No tienes permisos para realizar esta acción.")
            return False
        return super().check_access_rights(operation, raise_exception)
    
class PurchaseOrder(models.Model):
    _inherit = 'purchase.order'

    @api.model
    def check_access_rights(self, operation, raise_exception=True):
        if operation in ['write', 'create', 'unlink'] and (self.env.user.has_group('custom_repair.group_user_contador') or self.env.user.has_group('custom_repair.group_user_logistica')):
            if raise_exception:
                raise exceptions.AccessError("No tienes permisos para realizar esta acción.")
            return False
        return super().check_access_rights(operation, raise_exception)
    
class RepairOrder(models.Model):
    _inherit = 'repair.order'

    @api.model
    def check_access_rights(self, operation, raise_exception=True):
        if operation in ['write', 'create', 'unlink'] and (self.env.user.has_group('custom_repair.group_user_contador') or self.env.user.has_group('custom_repair.group_user_logistica')):
            if raise_exception:
                raise exceptions.AccessError("No tienes permisos para realizar esta acción.")
            return False
        return super().check_access_rights(operation, raise_exception)
