odoo.define('custom_repair.BarcodeRefreshPage', function (require) {
    "use strict";

    var core = require('web.core');
    //var BasicController = require('stock_barcodes.BasicController');
    var BasicController = require("web.BasicController");
    var _t = core._t;
    
    BasicController.include({
        /**
         * Longpolling messages
         *
         * @param {Array} notifications
         */
        onBusNotificationBarcode: function (notifications) {
            for (const notif of notifications) {
                const notif_type = notif.type;
                const message = notif.payload;
                if (notif_type === "stock_barcodes_read-" + this.initialState.data.id) {
                    if (message.action === "focus") {
                        setTimeout(() => {
                            this.$(`[name=${message.field_name}] input`).select();
                        }, 400);
                    }
                } else if (
                    notif_type ===
                    "stock_barcodes_sound-" + this.initialState.data.id
                ) {
                    if (message.sound === "ok") {
                        this.$sound_ok[0].play();
                        window.location.reload();
                    } else if (message.sound === "ko") {
                        this.$sound_ko[0].play();
                    }
                } else if (
                    notif_type ===
                    "stock_barcodes_notify-" + this.initialState.data.id
                ) {
                    this.displayNotification({
                        title: notif.payload.title,
                        message: notif.payload.message,
                        type: notif.payload.type,
                        sticky: true,
                    });
                }
            }
        },
    });
});