odoo.define('custom_repair.many2one_barcode', function (require) {
    "use strict";

    var fieldRegistry = require('web.field_registry');
    var relationalFields = require('web.relational_fields');

    var FieldMany2OneBarcode = relationalFields.FieldMany2One.extend({
        _search: function (name) {
            if (name) {
                return this._rpc({
                    model: 'product.product',
                    method: 'name_search',
                    kwargs: {
                        name: name,
                        args: [['|', ['barcode', 'ilike', name], ['default_code', 'ilike', name]]],
                        operator: 'ilike',
                        limit: 8,
                    },
                });
            } else {
                return this._super.apply(this, arguments);
            }
        },
    });

    fieldRegistry.add('many2one_barcode', FieldMany2OneBarcode);

});
