from odoo import _, api, fields, models

class WizStockBarcodesRead(models.AbstractModel):
    _inherit = "wiz.stock.barcodes.read"

    def _default_location_id(self):
        location = self.env['stock.location'].search([('complete_name', '=', 'ART/Stock')], limit=1)
        return location.id if location else False

    location_id = fields.Many2one(comodel_name="stock.location", default=_default_location_id)


class WizStockBarcodesReadInventoryInherit(models.TransientModel):
    _inherit = "wiz.stock.barcodes.read.inventory"

    @api.onchange("display_read_quant")
    def _assign_default_location_id(self):
        location = self.env['stock.location'].search([('complete_name', '=', 'ART/Stock')], limit=1)
        self.location_id = location.id if location else False
